import 'dart:async';

import 'package:dart_framework/utils/system_util.dart';
import 'package:oto/cli/cli.dart';
import 'package:oto/cli/commands/command_base.dart';

class CommandTemplate extends CommandBase {
  @override
  Map<String, List<String>> get arguments => {
        "--s": [
          "This is argument description template",
          "This is second line."
        ],
        "--g": ["Second argument"]
      };
  @override
  String get name => 'template';
  @override
  String get usage => '--arg0 --arg1';

  @override
  Future execute(List<String> parameters) async {
    return simpleFuture;
  }

  @override
  String getDescription() {
    var serviceName = CLI.current.config.serviceName;
    return ':::: This is template command description from $serviceName.';
  }
}
